summaryrefslogtreecommitdiff
path: root/gui-wm
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-28 03:04:45 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-28 03:04:45 -0500
commita0e0a56dbeec1a3cf0f82d55d0bd7540943daf84 (patch)
tree2f1f9356b8039b0c455d7ca0f9d80e9670c6c471 /gui-wm
parentcae7be1ab2bd23fee3929a8e940d968ee86a78e6 (diff)
downloadbaldeagleos-repo-a0e0a56dbeec1a3cf0f82d55d0bd7540943daf84.tar.gz
baldeagleos-repo-a0e0a56dbeec1a3cf0f82d55d0bd7540943daf84.tar.xz
baldeagleos-repo-a0e0a56dbeec1a3cf0f82d55d0bd7540943daf84.zip
Adding metadata
Diffstat (limited to 'gui-wm')
-rw-r--r--gui-wm/hyprland/Manifest1
-rw-r--r--gui-wm/hyprland/hyprland-0.56.0-r1.ebuild6
-rw-r--r--gui-wm/hyprland/hyprland-0.56.1.ebuild157
-rw-r--r--gui-wm/hyprland/hyprland-9999.ebuild8
4 files changed, 169 insertions, 3 deletions
diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
index 26ef6584c51d..f0283da5aeb8 100644
--- a/gui-wm/hyprland/Manifest
+++ b/gui-wm/hyprland/Manifest
@@ -3,3 +3,4 @@ DIST hyprland-0.54.3.gh.tar.gz 52955473 BLAKE2B 4ce4cc72b51a56467b2dd8891da403fb
DIST hyprland-0.55.3.gh.tar.gz 53130445 BLAKE2B 3768b34a64dc3d1d8df19ab00a33575d16b0bc6526a0912e3e463264c9192b0a409f2fec0f3106050a33bc0c53d818da001605d9b79423951336b9c98bb40355 SHA512 0a232b57156bdbf38c49a733a44f7a0da70374bfd203fa8fe2a4c2961deb54dac2c61af37628096d4046c1c778d5d6e24d4fed159c47fdaca0b9cef60feeb969
DIST hyprland-0.55.4.gh.tar.gz 53127144 BLAKE2B 2455e9490a5353d6295f535b1d488eef2ff49a01c1b134055e9d85a8259939671c3b5a40c92928c64638011615786d5c97a76afc35d5365fc21601679e6f9e0f SHA512 cf59e9fc67c3ebb7480c9732b0899be575b8abb02fe641bd5f1958bb5724c2c58b6190bf078bc5486b88707216dd99c799029f30e0e5d2a4ce1b33f5d946613b
DIST hyprland-0.56.0.gh.tar.gz 55524620 BLAKE2B 8f6239b6c69e58fd41f97018a6929e180d567c207ba4e276a7e95ce4030cf1b0f3b856e9591eca4c4b6c3f2a2375966c2e201d717ecf6676e80aa4dcdb9c22e6 SHA512 ee1b238204ec2feab1f8587d3ba7523b3ffa89b02db4283ef0171b54565f6a686d37abaf4f93c9e811f6b728b43e9c65b95324bb9d5e45797d23b1a558871700
+DIST hyprland-0.56.1.gh.tar.gz 55523853 BLAKE2B 216ba445aee53b8919dfe2d35cd770151434bc9db193745e41112ec7dbb3595e6c2dfb9cc8778c46da998015640a580c3b723759e9a1aacae6043e37bb37d154 SHA512 5407412459eb5424dd476b389e29d05ecea7e538c8e99bda19b869a5e3713c3a78b00868a404f4f4a7f9e8481da2f40e6b0ef41e8e8fe86de5917bcfb2c76c58
diff --git a/gui-wm/hyprland/hyprland-0.56.0-r1.ebuild b/gui-wm/hyprland/hyprland-0.56.0-r1.ebuild
index 96866eddc816..b8a1ddc10a2e 100644
--- a/gui-wm/hyprland/hyprland-0.56.0-r1.ebuild
+++ b/gui-wm/hyprland/hyprland-0.56.0-r1.ebuild
@@ -111,7 +111,11 @@ src_prepare() {
if use hyprpm; then
PATCHES+=("${FILESDIR}/hyprland-0.56.0-hyprpm-set-lua.patch")
fi
- if tc-is-gcc && ver_test $(gcc-version) -lt 16 ; then
+ # Apply the following patch unless compiled with gcc 16.
+ # Building Hyprland with clang using libtstdc++ provided by gcc 15 hits the
+ # same compilation error.
+ # https://codeberg.org/hyproverlay/hyproverlay/issues/95#issuecomment-19928755
+ if ! ( tc-is-gcc && ver_test $(gcc-version) -gt 16 ); then
PATCHES+=("${FILESDIR}/hyprland-gcc15-compile-fix.patch")
fi
diff --git a/gui-wm/hyprland/hyprland-0.56.1.ebuild b/gui-wm/hyprland/hyprland-0.56.1.ebuild
new file mode 100644
index 000000000000..b8a1ddc10a2e
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-0.56.1.ebuild
@@ -0,0 +1,157 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1,3,4} luajit )
+
+inherit lua-single cmake fcaps toolchain-funcs flag-o-matic
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland"
+
+if [[ "${PV}" = *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
+else
+ SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz -> ${P}.gh.tar.gz"
+ S="${WORKDIR}/${PN}-source"
+
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0/$(ver_cut 1-3)"
+IUSE="+guiutils hyprpm systemd uwsm X +dbus-session"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# hyprpm (hyprland plugin manager) requires the dependencies at runtime
+# so that it can clone, compile and install plugins.
+HYPRPM_RDEPEND="
+ app-alternatives/ninja
+ >=dev-build/cmake-3.30
+ dev-vcs/git
+ virtual/pkgconfig
+"
+RDEPEND="
+ hyprpm? ( ${HYPRPM_RDEPEND} )
+ dev-cpp/tomlplusplus
+ dev-libs/glib:2
+ >=dev-libs/hyprlang-0.6.7:=
+ dev-libs/libei:=
+ >=dev-libs/libinput-1.29:=
+ >=dev-libs/hyprgraphics-0.5.1:=
+ dev-libs/re2:=
+ dev-cpp/muParser:=
+ >=dev-libs/udis86-1.7.2
+ >=dev-libs/wayland-1.22.91
+ dev-util/glslang:=
+ >=gui-libs/aquamarine-0.9.5:=
+ >=gui-libs/hyprcursor-0.1.9:=
+ >=gui-libs/hyprutils-0.14.0:=
+ >=gui-libs/hyprwire-0.2.1:=
+ media-libs/lcms:=
+ media-libs/libglvnd
+ media-libs/mesa
+ sys-apps/util-linux
+ x11-libs/cairo
+ x11-libs/libdrm
+ >=x11-libs/libxkbcommon-1.11.0
+ x11-libs/pango
+ x11-libs/pixman
+ x11-libs/libXcursor
+ guiutils? ( gui-libs/hyprland-guiutils:= )
+ X? (
+ x11-libs/libxcb:0=
+ x11-base/xwayland
+ x11-libs/xcb-util-errors
+ x11-libs/xcb-util-wm
+ )
+ dbus-session? ( sys-apps/dbus )
+"
+# dev-cpp/glaze should be only needed with hyprpm, but is needed by other
+# headers.
+DEPEND="
+ ${RDEPEND}
+ ${LUA_DEPS}
+ >=dev-cpp/glaze-7.0.0:=
+ >=dev-libs/hyprland-protocols-0.6.4
+ >=dev-libs/wayland-protocols-1.49
+"
+BDEPEND="
+ || ( >=sys-devel/gcc-15:* >=llvm-core/clang-19:* )
+ app-misc/jq
+ dev-build/cmake
+ >=dev-util/hyprwayland-scanner-0.4.5
+ virtual/pkgconfig
+"
+
+FILECAPS=(
+ cap_sys_nice usr/bin/Hyprland
+)
+
+pkg_setup() {
+ lua-single_pkg_setup
+
+ [[ ${MERGE_TYPE} == binary ]] && return
+
+ if tc-is-gcc && ver_test $(gcc-version) -lt 15 ; then
+ eerror "Hyprland requires >=sys-devel/gcc-15 to build"
+ eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
+ die "GCC version is too old to compile Hyprland!"
+ elif tc-is-clang && ver_test $(clang-version) -lt 19 ; then
+ eerror "Hyprland requires >=llvm-core/clang-19 to build"
+ eerror "Please upgrade Clang: emerge -v1 llvm-core/clang"
+ die "Clang version is too old to compile Hyprland!"
+ fi
+}
+
+src_prepare() {
+ if use hyprpm; then
+ PATCHES+=("${FILESDIR}/hyprland-0.56.0-hyprpm-set-lua.patch")
+ fi
+ # Apply the following patch unless compiled with gcc 16.
+ # Building Hyprland with clang using libtstdc++ provided by gcc 15 hits the
+ # same compilation error.
+ # https://codeberg.org/hyproverlay/hyproverlay/issues/95#issuecomment-19928755
+ if ! ( tc-is-gcc && ver_test $(gcc-version) -gt 16 ); then
+ PATCHES+=("${FILESDIR}/hyprland-gcc15-compile-fix.patch")
+ fi
+
+ if use dbus-session; then
+ sed -i \
+ "s|^Exec=|Exec=/usr/libexec/hyprland-dbus-run-session-if-needed |" \
+ example/hyprland.desktop.in || die
+ fi
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ # Pass Gentoo lua-single pkg-config/CFLAGS information to hyprpm, so that
+ # runtime hyprpm update/add can build headers and plugins against the selected ELUA.
+ append-cxxflags \
+ "-DHYPRPM_GENTOO_LUA_PCFILE=\\\"/usr/$(get_libdir)/pkgconfig/${ELUA}.pc\\\"" \
+ "-DHYPRPM_EXTRA_CFLAGS=\\\"$(lua_get_CFLAGS)\\\"" \
+ "-DHYPRPM_EXTRA_CXXFLAGS=\\\"$(lua_get_CFLAGS)\\\""
+
+ local mycmakeargs=(
+ "-DBUILD_TESTING=OFF" # if enabled, creates a file inside /lib
+ # causing an error with multilib
+ -DNO_HYPRPM="$(usex !hyprpm)"
+ -DNO_SYSTEMD="$(usex !systemd)"
+ -DNO_UWSM="$(usex !uwsm)"
+ -DNO_XWAYLAND="$(usex !X)"
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ if use dbus-session; then
+ exeinto /usr/libexec
+ doexe "${FILESDIR}/hyprland-dbus-run-session-if-needed"
+ fi
+}
diff --git a/gui-wm/hyprland/hyprland-9999.ebuild b/gui-wm/hyprland/hyprland-9999.ebuild
index 76652629559d..b8a1ddc10a2e 100644
--- a/gui-wm/hyprland/hyprland-9999.ebuild
+++ b/gui-wm/hyprland/hyprland-9999.ebuild
@@ -49,7 +49,7 @@ RDEPEND="
dev-util/glslang:=
>=gui-libs/aquamarine-0.9.5:=
>=gui-libs/hyprcursor-0.1.9:=
- >=gui-libs/hyprutils-0.13.1:=
+ >=gui-libs/hyprutils-0.14.0:=
>=gui-libs/hyprwire-0.2.1:=
media-libs/lcms:=
media-libs/libglvnd
@@ -111,7 +111,11 @@ src_prepare() {
if use hyprpm; then
PATCHES+=("${FILESDIR}/hyprland-0.56.0-hyprpm-set-lua.patch")
fi
- if tc-is-gcc && ver_test $(gcc-version) -lt 16 ; then
+ # Apply the following patch unless compiled with gcc 16.
+ # Building Hyprland with clang using libtstdc++ provided by gcc 15 hits the
+ # same compilation error.
+ # https://codeberg.org/hyproverlay/hyproverlay/issues/95#issuecomment-19928755
+ if ! ( tc-is-gcc && ver_test $(gcc-version) -gt 16 ); then
PATCHES+=("${FILESDIR}/hyprland-gcc15-compile-fix.patch")
fi